Description

It would be nice if one could do multiple parallel classifications for controlling different visual variables.

Example:

The classification of on attribute controls the fill color, the classification of a different attribute controls the stroke color, and the

classification of a third attribute controls the stroke-width.

The advantage would be that one has to deal with fewer classes when comparing the the traditional rule-based renderer or when

combining all attribute combinations into a single attribute.

The legend would have to be revised though, as to show only the aspects the attribute is controlling.

History

#1 - 2013-08-03 06:00 PM - Nathan Woodrow

Is this now covered with the data defined symbols?

#2 - 2013-08-13 02:00 AM - Andreas Neumann

- Target version set to Future Release - High Priority

The rule-based renderer, the data-defined symbology and expressions certainly help to cover these cases. But it is still very time-consuming, esp. when a

lot of classes are involved. For QGIS >2.0 we should discuss a better UI that help to deal with classifications involving two or more fields.

#3 - 2015-05-27 11:27 PM - Andreas Neumann

- Resolution set to worksforme

- Status changed from Open to Closed

I am closing this, because I think that our symbology system is now powerful enough to handle the cases I have.
